> For the complete documentation index, see [llms.txt](https://help.vectary.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://help.vectary.com/api/model-api/api-reference/importfiles.md).

# importFiles

### importFiles

Imports files into the current scene. Supports multiple input types.

#### Signature

```typescript
importFiles(files: string | string[] | Blob | Blob[] | FileList): Promise<void>
```

#### Parameters

| Parameter | Type                                                                                                                                                                     | Required | Description            |
| --------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------ | -------- | ---------------------- |
| files     | string \| string\[] \| [Blob](https://developer.mozilla.org/en-US/docs/Web/API/Blob) \| Blob\[] \| [FileList](https://developer.mozilla.org/en-US/docs/Web/API/FileList) | Yes      | Source files to import |

**Supported input types:**

* `string` — URL to fetch
* `string[]` — Multiple URLs
* `Blob` — Pre-fetched content
* `Blob[]` — Multiple blobs
* `FileList` — From `<input type="file">`

**Supported formats:** .zip, .jpeg, .jpg, .png, .gif, .mp4, .json, .glb, .gltf, .fbx, .obj, .stl

#### Returns

`Promise<void>`

#### Usage

```javascript
// From URL
await api.importFiles("https://example.com/model.glb");

// Multiple URLs
await api.importFiles([
  "https://example.com/model1.glb",
  "https://example.com/model2.glb"
]);

// From Blob (pre-fetched)
const blob = await fetch("https://example.com/model.glb").then(r => r.blob());
await api.importFiles(blob);

// From file input
const input = document.querySelector('input[type="file"]');
input.addEventListener("change", async () => {
  await api.importFiles(input.files);
});
```

#### Notes

* Imported objects are added to the scene root
* Returns `void`, not an array of imported objects
* Use `getObjects()` after import to see new objects


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://help.vectary.com/api/model-api/api-reference/importfiles.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
